local myMod = ...
--Check which version is been used
if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    _Zone075by075BuildingZone = {
		Polygon = polygon.createRectangle({ 0.75, 0.75 })
	}
	_Zone1by1BuildingZone = {
		Polygon = polygon.createRectangle({ 1, 1 })
	}
	_Zone105by105BuildingZone = {
		Polygon = polygon.createRectangle({ 1.5, 1.5 })
	}
	_Zone2by2BuildingZone = {
		Polygon = polygon.createRectangle({ 2, 2 })
	}
	_Zone3by3BuildingZone = {
		Polygon = polygon.createRectangle({ 3, 3 })
	}
	_Zone1by6BuildingZone = {
		Polygon = polygon.createRectangle({ 1, 6 })
	}
else
    _Zone075by075BuildingZone = { 
		ZoneEntryList = {
			{ 
				Polygon = polygon.createRectangle( {0.75, 0.75} ),
				Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = false } 
			}
		}
	}
	_Zone1by1BuildingZone = { 
		ZoneEntryList = {
			{ 
				Polygon = polygon.createRectangle( {1, 1} ),
				Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = false } 
			}
		}
	}
	_Zone105by105BuildingZone = { 
		ZoneEntryList = {
			{ 
				Polygon = polygon.createRectangle( {1.5, 1.5} ),
				Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = false } 
			}
		}
	}
	_Zone2by2BuildingZone = { 
		ZoneEntryList = {
			{ 
				Polygon = polygon.createRectangle( {2, 2} ),
				Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = false } 
			}
		}
	}
	_Zone3by3BuildingZone = { 
		ZoneEntryList = {
			{ 
				Polygon = polygon.createRectangle( {3, 3} ),
				Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = false } 
			}
		}
	}
	_Zone1by6BuildingZone = { 
		ZoneEntryList = {
			{ 
				Polygon = polygon.createRectangle( {1, 6} ),
				Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = false } 
			}
		}
	}
end

myMod:registerPrefabComponent("models/bench.fbx/Prefab/wooden_benchPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {1.8, 0.8}
})
myMod:registerPrefabComponent("models/bench.fbx/Prefab/stone_benchPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {1.8, 0.8}
})

myMod:registerPrefabComponent("models/stones.fbx/Prefab/stonePart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/stones.fbx/Prefab/stoneSmallPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/single_stones.fbx/Prefab/single_stone_big1Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/single_stones.fbx/Prefab/single_stone_middle1Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/single_stones.fbx/Prefab/single_stone_small1Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/single_stones.fbx/Prefab/pile_of_stones_1Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/single_stones.fbx/Prefab/pile_of_polished_stones_1Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/single_stones.fbx/Prefab/single_stone_big2Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/single_stones.fbx/Prefab/single_stone_middle2Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/single_stones.fbx/Prefab/single_stone_small2Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/single_stones.fbx/Prefab/pile_of_stones_2Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/wooden_logs.fbx/Prefab/wooden_logsPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/wooden_logs.fbx/Prefab/wooden_planksPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/pile_of_wooden_planks.fbx/Prefab/pile_of_wooden_plank1_Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/torch.fbx/Prefab/torchPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/torch.fbx/Prefab/lampPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/wooden_cb.fbx/Prefab/barrelPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/wooden_cb.fbx/Prefab/wooden_cratePart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/wooden_fence.fbx/Prefab/wooden_fencePart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/wooden_pillory.fbx/Prefab/pilloryPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/front_building_2am.fbx/Prefab/WallPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/front_building_2am.fbx/Prefab/Wall2Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/front_building_2am.fbx/Prefab/Wall3Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/front_building_2am.fbx/Prefab/Wall4Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/tombstone.fbx/Prefab/TombstoneBigPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/tombstone.fbx/Prefab/TombstoneSmallPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/grain_sack.fbx/Prefab/grain_sackPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/stool.fbx/Prefab/stoolPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/stool.fbx/Prefab/stool2Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/shield.fbx/Prefab/shieldPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/bench.fbx/Prefab/wooden_benchPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/bench.fbx/Prefab/stone_benchPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/bench.fbx/Prefab/wooden_tablePart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/bench.fbx/Prefab/wooden_table2Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/palm_tree.fbx/Prefab/Palm", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/palm_raft.fbx/Prefab/palm_raft", {
	DataType = "COMP_GROUNDED",
	GroundToWater = true
})
myMod:registerPrefabComponent("models/coal_pile.fbx/Prefab/coal_pilePart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/coal_pile.fbx/Prefab/coal_pile2Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/anvil.fbx/Prefab/anvilPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/market_covered.fbx/Prefab/Market_Covered_Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/scalable_windows_1a.fbx/Prefab/windows/window_small1/RootPart_WS1", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/scalable_windows_1a.fbx/Prefab/windows/window_small2/RootPart_WS2", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/scalable_windows_1a.fbx/Prefab/windows/window_small3/RootPart_WS3", {
	DataType = "COMP_GROUNDED"
})

-- Override building zone
myMod:registerPrefabComponent("models/front_building_2am.fbx/Prefab/WallPart/wall_1Part.001", {
	DataType = "COMP_BUILDING_ZONE",
	BuildingZone = {
		Polygon = polygon.createRectangle({ 4, 1 },{ 0,-2 })
	}
})
myMod:registerPrefabComponent("models/front_building_2am.fbx/Prefab/WallPart/wall_2Part.001", {
	DataType = "COMP_BUILDING_ZONE",
	BuildingZone = {
		Polygon = polygon.createRectangle({ 1, 4 }, { 2, 0 })
	}
})

-- Register particle system
myMod:registerPrefabComponent("models/torch.fbx/Prefab/torchPart/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "TORCH_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})

myMod:registerPrefabComponent("models/torch.fbx/Prefab/lampPart/SmokeEmitter2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "LAMP_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})

-- Register quotable
myMod:registerPrefabComponent("models/tombstone.fbx/Prefab/TombstoneBigPart", {
	DataType = "COMP_QUOTABLE",
	DefaultQuote = "TOMBSTONE_DEFAULT_QUOTE",
	DefaultAuthor = "TOMBSTONE_DEFAULT_AUTHOR"
})

--[[
myMod:registerPrefabComponent("models/torch.fbx/Prefab/torchPart/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "TORCH_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = false
})

myMod:registerPrefabComponent("models/torch.fbx/Prefab/torchPart/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
	Enabled = false
})]]